## org.codehaus.groovy.grails.plugins
Class ValidationGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.ValidationGrailsPlugin

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ValidationGrailsPlugin

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`ValidationGrailsPlugin()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getDependsOn()`
`Object` `getDoWithDynamicMethods()`
`Object` `getLoadAfter()`
`groovy.lang.MetaClass` `getMetaClass()`
`static Object` `getPROPERTY_INSTANCE_MAP()`
`Object` `getProperty(String property)`
`Object` `getTypeFilters()`
`Object` `getVersion()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setDependsOn(Object value)`
`void` `setDoWithDynamicMethods(Object value)`
`void` `setLoadAfter(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setTypeFilters(Object value)`
`void` `setVersion(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationGrailsPlugin

    public ValidationGrailsPlugin()

Method Detail

### getVersion

    public Object getVersion()

### setVersion

    public void setVersion(Object value)

### getDependsOn

    public Object getDependsOn()

### setDependsOn

    public void setDependsOn(Object value)

### getLoadAfter

    public Object getLoadAfter()

### setLoadAfter

    public void setLoadAfter(Object value)

### getTypeFilters

    public Object getTypeFilters()

### setTypeFilters

    public void setTypeFilters(Object value)

### getPROPERTY_INSTANCE_MAP

    public static Object getPROPERTY_INSTANCE_MAP()

### getDoWithDynamicMethods

    public Object getDoWithDynamicMethods()

### setDoWithDynamicMethods

    public void setDoWithDynamicMethods(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project